Get Executions
GET/v1/accounts/{account_id}/executions
Retrieves filled and partially-filled execution reports for the specified trading account, ordered by transaction time (nanosecond precision) descending.
Get Executions
curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/executions \
-H "Authorization: Bearer $API_KEY"{
"data": [
{
"id": "019d216d-9857-7e23-ae01-edc07126c9e4",
"instrument_id": "528ec5c3-cdbf-447c-b995-ec6c83cfbc02",
"order_id": "01928b4d-c000-7000-8000-000000000001",
"price": "150.25",
"quantity": "100",
"side": "BUY",
"symbol": "AAPL",
"transaction_time": "2026-03-24T19:58:43.798000Z"
}
],
"error": null,
"metadata": {
"request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
}
}Returns Examples
{
"data": [
{
"id": "019d216d-9857-7e23-ae01-edc07126c9e4",
"instrument_id": "528ec5c3-cdbf-447c-b995-ec6c83cfbc02",
"order_id": "01928b4d-c000-7000-8000-000000000001",
"price": "150.25",
"quantity": "100",
"side": "BUY",
"symbol": "AAPL",
"transaction_time": "2026-03-24T19:58:43.798000Z"
}
],
"error": null,
"metadata": {
"request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
}
}